#!/usr/bin/env python3
"""Help script to fill a given js with another js."""

import subprocess
import os
import sys
import json

beingFilled = sys.argv[1]
replacemark = sys.argv[2]
fillContent = sys.argv[3]
useJson = (sys.argv[4] == "true")

template = open(beingFilled, "r").read()
fillings = open(fillContent, "r").read()

result = template.replace(
    "{{ %s }}" % replacemark,
    json.dumps(fillings)[1:-1] if useJson else fillings
)

print(result)
